/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package simulator.elevatormodules;

import jSimPack.SimTime;
import simulator.elevatorcontrol.MessageDictionary;
import simulator.payloads.CanMailbox;
import simulator.payloads.CoinReturnButtonPayload;

/**
 *
 * @author kamikasee
 */
public class CoinReturnButton extends Button {

    private CoinReturnButtonPayload localButton;

    private CoinReturnCanPayloadTranslator mCoinReturn;

    public CoinReturnButton(SimTime defaultPressTime, SimTime messagePeriod, boolean verbose) {
        super("CoinReturnButton", defaultPressTime, messagePeriod, verbose);

        localButton = new CoinReturnButtonPayload();
        physicalConnection.sendTimeTriggered(localButton, messagePeriod);
        physicalConnection.sendOnce(localButton);

        CanMailbox p = new CanMailbox(MessageDictionary.COIN_RETURN_CAN_ID);
        mCoinReturn = new CoinReturnCanPayloadTranslator(p);
        canNetworkConnection.sendTimeTriggered(p, messagePeriod);
    }

    @Override
    protected void sendButtonMessage() {
        localButton.set(this.isPressed());
        mCoinReturn.set(this.isPressed());
        physicalConnection.sendOnce(localButton);
    }


}
